Get Troubleshooting Metrics Data Collection

Get Troubleshooting Metrics Data Collection
Retrieve troubleshooting metrics data collection resource IDs by category

Retrieves a list of resource IDs that have troubleshooting metrics data collection enabled for the specified category. Troubleshooting data collection enables enhanced metrics gathering for security monitoring and diagnostics. This endpoint supports optional filtering by resource IDs to check if specific resources are configured.

This endpoint supports filtering using query parameters:

  • resource_id: Filter by a single resource identifier (intent path).

The filter parameter is optional. If no filter is provided, all configured resource IDs for the category are returned. If resource_id is provided, only matching configured resource IDs are returned. If no match is found, an empty array is returned.

Request
URI
GET
https://{api_host}/security-monitoring/sites/{site-id}/troubleshooting-metrics/{category}
COPY
Path Parameters
string
site-id
Required  

Site id in the query

string
category
Required  

The metrics data collection category for which to retrieve or update configured resource IDs. Only one category can be specified per request. Supported values include DISTRIBUTED_IDPS_HOST_TROUBLESHOOTING, DISTRIBUTED_IDPS_VM_TROUBLESHOOTING, and DISTRIBUTED_TLS_VM_STATS_COLLECTION. For DISTRIBUTED_IDPS_HOST_TROUBLESHOOTING and DISTRIBUTED_IDPS_VM_TROUBLESHOOTING, resource_ids must be of HostTransportNode resource type.

Enumeration: DISTRIBUTED_IDPS_HOST_TROUBLESHOOTING, DISTRIBUTED_IDPS_VM_TROUBLESHOOTING, DISTRIBUTED_TLS_VM_STATS_COLLECTION
Query Parameters
string
resource_id
Optional

NSX resource ID for which troubleshooting metrics data collection is being queried. This must be an intent path (the 'path' field on the NSX API output). For example, '/infra/sites/default/enforcement-points/default/host-transport-nodes/TN1'. Make sure the resource_id is associated with the correct category. If omitted, results are not filtered by resource ID.

string
resource_type
Optional

Resource type for which troubleshooting metrics data collection is being queried. Supported resource type is HostTransportNode. If omitted, the resource type is inferred from the category.


Authentication
This operation uses the following authentication methods.
Responses
200

Successfully retrieved the list of resource IDs that have troubleshooting metrics data collection enabled for the specified category. Returns an empty array if no resources match the filter criteria or if the specified resource_id is not found.

Returns MetricsTroubleshootingDataCollectionConfig of type(s) application/json
This response body class contains all of the following: ManagedResource , InlineMetricsTroubleshootingDataCollectionConfig1
{
    "_create_user": "string",
    "_create_time": 0,
    "_last_modified_user": "string",
    "_last_modified_time": 0,
    "_revision": 0,
    "_resource_type": "string",
    "_system_owned": false,
    "id": "string",
    "display_name": "string",
    "description": "string",
    "site_ids": [
        "string"
    ],
    "resource_ids": [
        "string"
    ]
}

400

Bad request. The request parameters are invalid or malformed.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


401

Unauthorized

Returns Unauthorized of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


403

Forbidden

Returns Forbidden of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


404

Not found. The site or category was not found.

Returns Error of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


412

Precondition Failed

Returns PreconditionFailed of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


428

Precondition Required

Returns PreconditionRequired of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


429

Too Many Requests

Returns TooManyRequests of type(s) application/json
{
    "error_code": 0,
    "module_name": "string",
    "error_message": "string"
}
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


default

An unexpected error occurred while processing the request.

Returns Error of type(s) application/json
"Error Object"
integer
error_code
Required  

HTTP Status or Application error code.

string
module_name
Optional

Module where the error happened.

string
error_message
Required  

Message describing the error.


Code Samples
COPY
                    curl -H 'Authorization: <value>' https://{api_host}/security-monitoring/sites/{site-id}/troubleshooting-metrics/{category}